Get all product-type enrichment overrides for a property
curl --request GET \
--url https://api.merchantops.ai/api/property-definitions/{key}/enrichment-overridesimport requests
url = "https://api.merchantops.ai/api/property-definitions/{key}/enrichment-overrides"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.merchantops.ai/api/property-definitions/{key}/enrichment-overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"override_count": 123,
"overrides": [
{
"product_type_key": "<string>",
"product_type_name": "<string>",
"ai_matching_guidance": "<string>",
"enrichment_config": {},
"prompt_name": "<string>"
}
],
"property_key": "<string>",
"category_overrides": [
{
"category_key": "<string>",
"category_name": "<string>",
"ai_matching_guidance": "<string>",
"enrichment_config": {},
"prompt_name": "<string>"
}
],
"default_enrichment_config": {},
"default_prompt_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Property Definitions
Get all product-type enrichment overrides for a property
Get all enrichment config overrides for a property (product-type and category levels).
GET
/
api
/
property-definitions
/
{key}
/
enrichment-overrides
Get all product-type enrichment overrides for a property
Path Parameters
Cookies
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes